| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_Audio_Descriptor_InputTerminal_t Struct Reference
Common Class Definitions

Audio class-specific Input Terminal Descriptor (LUFA naming conventions). More...

`#include <AudioClassCommon.h>`

## Data Fields
uint8_t | AssociatedOutputTerminal
uint16_t | ChannelConfig
uint8_t | ChannelStrIndex
USB_Descriptor_Header_t | Header
uint8_t | Subtype
uint8_t | TerminalID
uint8_t | TerminalStrIndex
uint16_t | TerminalType
uint8_t | TotalChannels

## Detailed Description

Type define for an Audio class-specific input terminal descriptor. This indicates to the host that the device contains an input audio source, either from a physical terminal on the device, or a logical terminal (for example, a USB endpoint). See the USB Audio specification for more details.

See also
  USB_Audio_StdDescriptor_InputTerminal_t for the version of this type with standard element names.

Note
  Regardless of CPU architecture, these values should be stored as little endian.

## Field Documentation

uint8_t USB_Audio_Descriptor_InputTerminal_t::AssociatedOutputTerminal

ID of associated output terminal, for physically grouped terminals such as the speaker and microphone of a phone handset.

uint16_t USB_Audio_Descriptor_InputTerminal_t::ChannelConfig

`CHANNEL_*` masks indicating what channel layout is supported by this terminal.

uint8_t USB_Audio_Descriptor_InputTerminal_t::ChannelStrIndex

Index of a string descriptor describing this channel within the device.

USB_Descriptor_Header_t USB_Audio_Descriptor_InputTerminal_t::Header

Regular descriptor header containing the descriptor's type and length.

uint8_t USB_Audio_Descriptor_InputTerminal_t::Subtype

Sub type value used to distinguish between audio class-specific descriptors, must be AUDIO_DSUBTYPE_CSInterface_InputTerminal.

uint8_t USB_Audio_Descriptor_InputTerminal_t::TerminalID

ID value of this terminal unit - must be a unique value within the device.

uint8_t USB_Audio_Descriptor_InputTerminal_t::TerminalStrIndex

Index of a string descriptor describing this descriptor within the device.

uint16_t USB_Audio_Descriptor_InputTerminal_t::TerminalType

Type of terminal, a `TERMINAL_*` mask.

uint8_t USB_Audio_Descriptor_InputTerminal_t::TotalChannels

Total number of separate audio channels within this interface (right, left, etc.)

The documentation for this struct was generated from the following file:

- Drivers/USB/Class/Common/AudioClassCommon.h